package examples.rtf2fo;

import de.vc.jfo.rtf.FieldListener;
import de.vc.jfo.rtf.listeners.SimpleDataSource;

public class RTF2FOwithIF extends AbstractFillinExample{

  private final static String RTF_FILE  = "docs-in/rtf2fo/if_fields.rtf";
  private final static String FO_FILE  = "docs-out/rtf2fo/if_fields.fo";
  private final static String PDF_FILE  = "docs-out/rtf2fo/if_fields.pdf";

  //---- Attributes ------------------------------------------------------------

  //---- statics ---------------------------------------------------------------

  public static void main(String[] args) throws Exception{
    new RTF2FOwithIF().run();
  }

  //---- Constructors ----------------------------------------------------------

  //---- public  ---------------------------------------------------------------

  //---- protected -------------------------------------------------------------

  protected FieldListener getFieldListener() {
  	SimpleDataSource p = new SimpleDataSource();
    p.setValue("testvalue","2");
    return p;
  }

  protected String getRTFFile() {
    return RTF_FILE;
  }

  protected String getFOFile() {
    return FO_FILE;
  }

  protected String getPDFFile() {
    return PDF_FILE;
  }

  //---- package ---------------------------------------------------------------

  //---- privat ----------------------------------------------------------------

}
